using Microsoft.UI.Xaml;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainWindow()

        /// <summary>
        /// 
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            createWindowWithCustomizableMicaButton.Click           += createWindowWithCustomizableMicaButton_Click;
            createWindowWithBuiltInAcrylicButton.Click             += createWindowWithBuiltInAcrylicButton_Click;
            createWindowWithCustomizableDesktopAcrylicButton.Click += createWindowWithCustomizableDesktopAcrylicButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Create Window with customizable Mica ư Ŭ óϱ - createWindowWithCustomizableMicaButton_Click(sender, e)

        /// <summary>
        /// Create Window with customizable Mica ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void createWindowWithCustomizableMicaButton_Click(object sender, RoutedEventArgs e)
        {
            SystemBackdropsWindow window = new SystemBackdropsWindow();

            window.SetBackdrop(SystemBackdropsWindow.BackdropType.Mica);

            window.Activate();
        }

        #endregion
        #region Create Window with built-in Acrylic ư Ŭ óϱ - createWindowWithBuiltInAcrylicButton_Click(sender, e)

        /// <summary>
        /// Create Window with built-in Acrylic ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void createWindowWithBuiltInAcrylicButton_Click(object sender, RoutedEventArgs e)
        {
            SystemBackdropsWindow window = new SystemBackdropsWindow();

            window.SetBackdrop(SystemBackdropsWindow.BackdropType.DesktopAcrylicBase);

            window.Activate();
        }

        #endregion
        #region Create Window with customizable Desktop Acrylic ư Ŭ óϱ - createWindowWithCustomizableDesktopAcrylicButton_Click(sender, e)

        /// <summary>
        /// Create Window with customizable Desktop Acrylic ư Ŭ óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void createWindowWithCustomizableDesktopAcrylicButton_Click(object sender, RoutedEventArgs e)
        {
            SystemBackdropsWindow window = new SystemBackdropsWindow();

            window.SetBackdrop(SystemBackdropsWindow.BackdropType.DesktopAcrylicBase);

            window.Activate();
        }

        #endregion
    }
}